View Issue Details

IDProjectCategoryView StatusLast Update
0002685SymmetricDSImprovementpublic2016-07-22 12:03
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.36Fixed in Version3.7.36 
Summary0002685: File sync parameter to remove just the *.ctl file after file has been replicated.
DescriptionThe only way to remove the .ctl file when used during file sync is to also set the delete file after sync. This parameter (file.sync.delete.ctl.file.after.sync) allows for the deletion of just the .ctl file.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 0b16cf32

2016-07-19 16:29:37

josh-a-hicks

Details Diff
0002685: File sync parameter to remove just the *.ctl file after file
has been replicated.

0002685
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DBFRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.7 fd298de9

2016-07-21 13:07:48

josh-a-hicks

Details Diff
0002685: File sync parameter to remove just the *.ctl file after file
has been replicated.

0002685
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileTriggerFileModifiedListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileTriggerTracker.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileTrigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AbstractFileParsingRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/file/FileTriggerTrackerTest.java Diff File

Issue History

Date Modified Username Field Change
2016-07-19 16:27 josh-a-hicks New Issue
2016-07-19 16:27 josh-a-hicks Status new => assigned
2016-07-19 16:27 josh-a-hicks Assigned To => josh-a-hicks
2016-07-21 14:00 josh-a-hicks Changeset attached => SymmetricDS 3.7 fd298de9
2016-07-21 14:00 josh-a-hicks Changeset attached => SymmetricDS 3.7 0b16cf32
2016-07-22 11:24 chenson Status assigned => resolved
2016-07-22 11:24 chenson Fixed in Version => 3.7.36
2016-07-22 11:24 chenson Resolution open => fixed
2016-07-22 12:03 chenson Status resolved => closed